<?php

/* Elegant Icons */

add_filter( 'vc_iconpicker-type-elegant', 'vc_iconpicker_type_elegant' );
function vc_iconpicker_type_elegant( $icons ){
	$elegant = array(
        array( 'arrow_up'  => 'Arrow Up' ),
		array( 'arrow_down'  => 'Arrow Down' ),
		array( 'arrow_left'  => 'Arrow Left' ),
		array( 'arrow_right'  => 'Arrow Right' ),
		array( 'arrow_left-up'  => 'Arrow Left Up' ),
		array( 'arrow_right-up'  => 'Arrow Right Up' ),
		array( 'arrow_right-down'  => 'Arrow Right Down' ),
		array( 'arrow_left-down'  => 'Arrow Left Down' ),
		array( 'arrow-up-down'  => 'Arrow Up Down' ),
		array( 'arrow_up-down_alt'  => 'Arrow Up Down Alt' ),
		array( 'arrow_left-right_alt'  => 'Arrow Left Right Alt' ),
		array( 'arrow_left-right'  => 'Arrow Left Right' ),
		array( 'arrow_expand_alt2'  => 'Arrow Expand Alt2' ),
		array( 'arrow_expand_alt'  => 'Arrow Expand Alt' ),
		array( 'arrow_condense'  => 'Arrow Condense' ),
		array( 'arrow_expand'  => 'Arrow Expand' ),
		array( 'arrow_move'  => 'Arrow Move' ),
		array( 'arrow_carrot-up'  => 'Arrow Carrot Up' ),
		array( 'arrow_carrot-down'  => 'Arrow Carrot Down' ),
		array( 'arrow_carrot-left'  => 'Arrow Carrot Left' ),
		array( 'arrow_carrot-right'  => 'Arrow Carrot Right' ),
		array( 'arrow_carrot-2up'  => 'Arrow Carrot 2 up' ),
		array( 'arrow_carrot-2down'  => 'Arrow Carrot 2 Down' ),
		array( 'arrow_carrot-2left'  => 'Arrow Carrot 2 Left' ),
		array( 'arrow_carrot-2right'  => 'Arrow Carrot 2 Right' ),
		array( 'arrow_carrot-up_alt2'  => 'Arrow Carrot Up Alt2' ),
		array( 'arrow_carrot-down_alt2'  => 'Arrow Carrot Down Alt2' ),
		array( 'arrow_carrot-left_alt2'  => 'Arrow Carrot Left Alt2' ),
		array( 'arrow_carrot-right_alt2'  => 'Arrow Carrot Right Alt2' ),
		array( 'arrow_carrot-2up_alt2'  => 'Arrow Carrot 2up Alt2' ),
		array( 'arrow_carrot-2down_alt2'  => 'Arrow Carrot 2down Alt2' ),
		array( 'arrow_carrot-2left_alt2'  => 'Arrow Carrot 2Left Alt2' ),
		array( 'arrow_carrot-2right_alt2'  => 'Arrow Carrot 2Right Alt2' ),
		array( 'arrow_triangle-up'  => 'Arrow Triangle Up' ),
		array( 'arrow_triangle-down'  => 'Arrow Triangle Down' ),
		array( 'arrow_triangle-left'  => 'Arrow Triangle Left' ),
		array( 'arrow_triangle-right'  => 'Arrow Triangle Right' ),
		array( 'arrow_triangle-up_alt2'  => 'Arrow Triangle Up Alt2' ),
		array( 'arrow_triangle-down_alt2'  => 'Arrow Triangle Down Alt2' ),
		array( 'arrow_triangle-left_alt2'  => 'Arrow Triangle Left Alt2' ),
		array( 'arrow_triangle-right_alt2'  => 'Arrow Triangle Right Alt2' ),
		array( 'arrow_back'  => 'Arrow Back' ),
		array( 'icon_minus-06'  => 'Minus06' ),
		array( 'icon_plus'  => 'Plus' ),
		array( 'icon_close'  => 'Close' ),
		array( 'icon_check'  => 'Check' ),
		array( 'icon_minus_alt2'  => 'Minus Alt2' ),
		array( 'icon_plus_alt2'  => 'Plus Alt2' ),
		array( 'icon_close_alt2'  => 'Close Alt2' ),
		array( 'icon_check_alt2'  => 'Check Alt2' ),
		array( 'icon_zoom-out_alt'  => 'Zoom Out' ),
		array( 'icon_zoom-in_alt'  => 'Zoom In' ),
		array( 'icon_search'  => 'Search' ),
		array( 'icon_box-empty'  => 'Box Empty' ),
		array( 'icon_box-selected'  => 'Box Selected' ),
		array( 'icon_minus-box'  => 'Minus Box' ),
		array( 'icon_plus-box'  => 'Plus Box' ),
		array( 'icon_box-checked'  => 'Box Checked' ),
		array( 'icon_circle-empty'  => 'Circle Empty' ),
		array( 'icon_circle-slelected'  => 'Circle Slelected' ),
		array( 'icon_stop_alt2'  => 'Stop Alt2' ),
		array( 'icon_stop'  => 'Stop' ),
		array( 'icon_pause_alt2'  => 'Pause Alt2' ),
		array( 'icon_pause'  => 'Pause' ),
		array( 'icon_menu'  => 'Menu' ),
		array( 'icon_menu-square_alt2'  => 'Menu Square Alt2' ),
		array( 'icon_menu-circle_alt2'  => 'Menu Circle Alt2' ),
		array( 'icon_ul'  => 'Ul' ),
		array( 'icon_ol'  => 'Ol' ),
		array( 'icon_adjust-horiz'  => 'Adjust Horiz' ),
		array( 'icon_adjust-vert'  => 'Adjust Vert' ),
		array( 'icon_document_alt'  => 'Document Alt' ),
		array( 'icon_documents_alt'  => 'Documents Alt' ),
		array( 'icon_pencil'  => 'Pencil' ),
		array( 'icon_pencil-edit_alt'  => 'Pencil Edit Alt' ),
		array( 'icon_pencil-edit'  => 'Pencil Edit' ),
		array( 'icon_folder-alt'  => 'Folder Alt' ),
		array( 'icon_folder-open_alt'  => 'Folder Open Alt' ),
		array( 'icon_folder-add_alt'  => 'Folder Add Alt' ),
		array( 'icon_info_alt'  => 'Info Alt' ),
		array( 'icon_error-oct_alt'  => 'Error Oct Alt' ),
		array( 'icon_error-circle_alt'  => 'Error Circle Alt' ),
		array( 'icon_error-triangle_alt'  => 'Error Triangle Alt' ),
		array( 'icon_question_alt2'  => 'Question Alt' ),
		array( 'icon_question'  => 'Question' ),
		array( 'icon_comment_alt'  => 'Comment Alt' ),
		array( 'icon_chat_alt'  => 'Chat Alt' ),
		array( 'icon_vol-mute_alt'  => 'Vol Mute Alt' ),
		array( 'icon_volume-low_alt'  => 'Volume Low Alt' ),
		array( 'icon_volume-high_alt'  => 'Volume High Alt' ),
		array( 'icon_quotations'  => 'Quotations' ),
		array( 'icon_quotations_alt2'  => 'Quotations Alt2' ),
		array( 'icon_clock_alt'  => 'Clock Alt' ),
		array( 'icon_lock_alt'  => 'Lock Alt' ),
		array( 'icon_lock-open_alt'  => 'Lock Open Alt' ),
		array( 'icon_key_alt'  => 'Key Alt' ),
		array( 'icon_cloud_alt'  => 'Cloud Alt' ),
		array( 'icon_cloud-upload_alt'  => 'Cloud Upload Alt' ),
		array( 'icon_cloud-download_alt'  => 'Cloud Download Alt' ),
		array( 'icon_image'  => 'Image' ),
		array( 'icon_images'  => 'Images' ),
		array( 'icon_lightbulb_alt'  => 'Lightbulb Alt' ),
		array( 'icon_gift_alt'  => 'Gift Alt' ),
		array( 'icon_house_alt'  => 'House alt' ),
		array( 'icon_genius'  => 'Genius' ),
		array( 'icon_mobile'  => 'Mobile' ),
		array( 'icon_tablet'  => 'Tablet' ),
		array( 'icon_laptop'  => 'Laptop' ),
		array( 'icon_desktop'  => 'Desktop' ),
		array( 'icon_camera_alt'  => 'Camera Alt' ),
		array( 'icon_mail_alt'  => 'Mail Alt' ),
		array( 'icon_cone_alt'  => 'Cone Alt' ),
		array( 'icon_ribbon_alt'  => 'Ribbon Alt' ),
		array( 'icon_bag_alt'  => 'Bag Alt' ),
		array( 'icon_creditcard'  => 'CreditCard' ),
		array( 'icon_cart_alt'  => 'Cart Alt' ),
		array( 'icon_paperclip'  => 'PaperClip' ),
		array( 'icon_tag_alt'  => 'Tag Alt' ),
		array( 'icon_tags_alt'  => 'Tags Alt' ),
		array( 'icon_trash_alt'  => 'Trash Alt' ),
		array( 'icon_cursor_alt'  => 'Cursor Alt' ),
		array( 'icon_mic_alt'  => 'Mic Alt' ),
		array( 'icon_compass_alt'  => 'Compass Alt' ),
		array( 'icon_pin_alt'  => 'Pin Alt' ),
		array( 'icon_pushpin_alt'  => 'Pushpin Alt' ),
		array( 'icon_map_alt'  => 'Map Alt' ),
		array( 'icon_drawer_alt'  => 'Drawer Alt' ),
		array( 'icon_toolbox_alt'  => 'Toolbox Alt' ),
		array( 'icon_book_alt'  => 'Book Alt' ),
		array( 'icon_calendar'  => 'Calendar' ),
		array( 'icon_film'  => 'Film' ),
		array( 'icon_table'  => 'Table' ),
		array( 'icon_contacts_alt'  => 'Contacts' ),
		array( 'icon_headphones'  => 'Headphones' ),
		array( 'icon_lifesaver'  => 'Lifesaver' ),
		array( 'icon_piechart'  => 'Piechart' ),
		array( 'icon_refresh'  => 'refresh' ),
		array( 'icon_link_alt'  => 'Link Alt' ),
		array( 'icon_link'  => 'Link' ),
		array( 'icon_loading'  => 'Loading' ),
		array( 'icon_blocked'  => 'Blocked' ),
		array( 'icon_archive_alt'  => 'Archive Alt' ),
		array( 'icon_heart_alt'  => 'Heart Alt' ),
		array( 'icon_star_alt'  => 'Star Alt' ),
		array( 'icon_star-half_alt'  => 'Star Half Alt' ),
		array( 'icon_star'  => 'Star' ),
		array( 'icon_star-half'  => 'Star Half' ),
		array( 'icon_tools'  => 'Tools' ),
		array( 'icon_tool'  => 'Tool' ),
		array( 'icon_cog'  => 'Cog' ),
		array( 'icon_cogs'  => 'Cogs' ),
		array( 'arrow_up_alt'  => 'Arrow Up Alt' ),
		array('arrow_down_alt'  => 'Arrow Down Alt' ),
		array('arrow_left_alt'  => 'Arrow Left Alt' ),
		array('arrow_right_alt'  => 'Arrow Right Alt' ),
		array('arrow_left-up_alt'  => 'Arrow Left Up Alt' ),
		array('arrow_right-up_alt'  => 'Arrow Right Up Alt' ),
		array('arrow_right-down_alt'  => 'Arrow Right Down Alt' ),
		array('arrow_left-down_alt'  => 'Arrow Left Down Alt' ),
		array('arrow_condense_alt'  => 'Arrow Condense Alt' ),
		array('arrow_expand_alt3'  => 'Arrow Expand Alt3' ),
		array('arrow_carrot_up_alt'  => 'Arrow Carrot Up Alt' ),
		array('arrow_carrot-down_alt'  => 'Arrow Carrot Down Alt' ),
		array('arrow_carrot-left_alt'  => 'Arrow Carrot Left Alt' ),
		array('arrow_carrot-right_alt'  => 'Arrow Carrot Right Alt' ),
		array('arrow_carrot-2up_alt'  => 'Arrow Carrot 2Up alt' ),
		array('arrow_carrot-2dwnn_alt'  => 'Arrow Carrot 2Dwnn Alt' ),
		array('arrow_carrot-2left_alt'  => 'Arrow Carrot 2Left Alt' ),
		array('arrow_carrot-2right_alt'  => 'Arrow Carrot 2Right Alt' ),
		array('arrow_triangle-up_alt'  => 'Arrow Triangle Up Alt' ),
		array('arrow_triangle-down_alt'  => 'Arrow Triangle Down Alt' ),
		array('arrow_triangle-left_alt'  => 'Arrow Triangle Left Alt' ),
		array('arrow_triangle-right_alt'  => 'Arrow Triangle Right Alt' ),
		array('icon_minus_alt'  => 'Minus Alt' ),
		array('icon_plus_alt'  => 'Plus Alt' ),
		array('icon_close_alt'  => 'Close Alt' ),
		array('icon_check_alt'  => 'Check Alt' ),
		array('icon_zoom-out'  => 'Zoom Out' ),
		array('icon_zoom-in'  => 'Zoom In' ),
		array('icon_stop_alt'  => 'Stop Alt' ),
		array('icon_menu-square_alt'  => 'Menu Square Alt' ),
		array('icon_menu-circle_alt'  => 'Menu Circle Alt' ),
		array('icon_document'  => 'Document' ),
		array('icon_documents'  => 'Documents' ),
		array('icon_pencil_alt'  => 'Pencil Alt' ),
		array('icon_folder'  => 'Folder' ),
		array('icon_folder-open'  => 'Folder Open' ),
		array('icon_folder-add'  => 'Folder Add' ),
		array('icon_folder_upload'  => 'Folder Upload' ),
		array('icon_folder_download'  => 'Folder Download' ),
		array('icon_info'  => 'Info' ),
		array('icon_error-circle'  => 'Error Circle' ),
		array('icon_error-oct'  => 'Arrow Up' ),
		array('icon_error-triangle'  => 'Error Triangle' ),
		array('icon_question_alt'  => 'Question Alt' ),
		array('icon_comment'  => 'Comment' ),
		array('icon_chat'  => 'Chat' ),
		array('icon_vol-mute'  => 'Vol Mute' ),
		array('icon_volume-low'  => 'Volume Low' ),
		array('icon_volume-high'  => 'Volume High' ),
		array('icon_quotations_alt'  => 'Quotations' ),
		array('icon_clock'  => 'Clock' ),
		array('icon_lock'  => 'Lock' ),
		array('icon_lock-open'  => 'Lock Open' ),
		array('icon_key'  => 'Key' ),
		array('icon_cloud'  => 'Cloud' ),
		array('icon_cloud-upload'  => 'Cloud Upload' ),
		array('icon_cloud-download'  => 'Cloud Download' ),
		array('icon_lightbulb'  => 'Lightbulb' ),
		array('icon_gift'  => 'Gift' ),
		array('icon_house'  => 'House' ),
		array('icon_camera'  => 'Camera' ),
		array('icon_mail'  => 'Mail' ),
		array('icon_cone'  => 'Cone' ),
		array('icon_ribbon'  => 'Ribbon' ),
		array('icon_bag'  => 'Bag' ),
		array('icon_cart'  => 'Cart' ),
		array('icon_tag'  => 'Tag' ),
		array('icon_tags'  => 'Tags' ),
		array('icon_trash'  => 'Trash' ),
		array('icon_cursor'  => 'Cursor' ),
		array('icon_mic'  => 'Mic' ),
		array('icon_compass'  => 'Compass' ),
		array('icon_pin'  => 'Pin' ),
		array('icon_pushpin'  => 'Pushpin' ),
		array('icon_map'  => 'Map' ),
		array('icon_drawer'  => 'Drawer' ),
		array('icon_toolbox'  => 'Toolbox' ),
		array('icon_book'  => 'Book' ),
		array('icon_contacts'  => 'Contacts' ),
		array('icon_archive'  => 'Archive' ),
		array('icon_heart'  => 'Heart' ),
		array('icon_profile'  => 'Profile' ),
		array('icon_group'  => 'Group' ),
		array('icon_grid-2x2'  => 'Grid 2x2' ),
		array('icon_grid-3x3'  => 'Grid 3x3' ),
		array('icon_music'  => 'Music' ),
		array('icon_pause_alt'  => 'Pause Alt' ),
		array('icon_phone'  => 'Phone' ),
		array('icon_upload'  => 'Upload' ),
		array('icon_download'  => 'Download' ),
		array('social_facebook'  => 'Facebook' ),
		array('social_twitter'  => 'Twitter' ),
		array('social_pinterest'  => 'Pinterest' ),
		array('social_googleplus'  => 'GooglePlus' ),
		array('social_tumblr'  => 'Tumblr' ),
		array('social_tumbleupon'  => 'Tumbleupon' ),
		array('social_wordpress'  => 'Wordpress' ),
		array('social_instagram'  => 'Instagram' ),
		array('social_dribbble'  => 'Dribbble' ),
		array('social_vimeo'  => 'Vimeo' ),
		array('social_linkedin'  => 'Linkedin' ),
		array('social_rss'  => 'Rss' ),
		array('social_deviantart'  => 'Deviantart' ),
		array('social_share'  => 'Share' ),
		array('social_myspace'  => 'Myspace' ),
		array('social_skype'  => 'Skype' ),
		array('social_youtube'  => 'Youtube' ),
		array('social_picassa'  => 'Picassa' ),
		array('social_googledrive'  => 'Googledrive' ),
		array('social_flickr'  => 'Flickr' ),
		array('social_blogger'  => 'Blogger' ),
		array('social_spotify'  => 'Spotify' ),
		array('social_delicious'  => 'Delicious' ),
		array('social_facebook_circle'  => 'Facebook Circle' ),
		array('social_twitter_circle'  => 'Twitter Circle' ),
		array('social_pinterest_circle'  => 'Pinterest Circle' ),
		array('social_googleplus_circle'  => 'Googleplus Circle' ),
		array('social_tumblr_circle'  => 'Tumblr Circle' ),
		array('social_stumbleupon_circle'  => 'Stumbleupon Circle' ),
		array('social_wordpress_circle'  => 'Wordpress Circle' ),
		array('social_instagram_circle'  => 'Instagram Circle' ),
		array('social_dribbble_circle'  => 'Dribble Circle' ),
		array('social_vimeo_circle'  => 'Vimeo Circle' ),
		array('social_linkedin_circle'  => 'Linkedin Circle' ),
		array('social_rss_circle'  => 'Rss Circle' ),
		array('social_deviantart_circle'  => 'Deviantart Circle' ),
		array('social_share_circle'  => 'Share Circle' ),
		array('social_myspace_circle'  => 'Myspace Circle' ),
		array('social_skype_circle'  => 'Skype Circle' ),
		array('social_youtube_circle'  => 'Youtube Circle' ),
		array('social_picassa_circle'  => 'Picassa Circle' ),
		array('social_googledrive_alt2'  => 'Googledrive Alt2' ),
		array('social_flickr_circle'  => 'flickr circle' ),
		array('social_blogger_circle'  => 'Blogger Circle' ),
		array('social_spotify_circle'  => 'Spotify Circle'),
		array('social_delicious_circle'  => 'Delicious Circle' ),
		array('social_facebook_square'  => 'Facebook Circle' ),
		array('social_twitter_square'  => 'Twitter Square' ),
		array('social_pinterest_square'  => 'Pinterest Square' ),
		array('social_googleplus_square'  => 'GooglePlus Square' ),
		array('social_tumblr_square'  => 'Tumblr Square' ),
		array('social_stumbleupon_square'  => 'Stumbleupon Square' ),
		array('social_wordpress_square'  => 'Wordpress Square' ),
		array('social_instagram_square'  => 'Instagram Square' ),
		array('social_dribbble_square'  => 'Dribble Square' ),
		array('social_vimeo_square'  => 'Vimeo Square' ),
		array('social_linkedin_square'  => 'Linkedin Square' ),
		array('social_rss_square'  => 'Rss Square' ),
		array('social_deviantart_square'  => 'Deviantart Square' ),
		array('social_share_square'  => 'Share Square' ),
		array('social_myspace_square'  => 'Myspace Square' ),
		array('social_skype_square'  => 'Skype Square' ),
		array('social_youtube_square'  => 'Youtube Square' ),
		array('social_picassa_square'  => 'Picassa Square' ),
		array('social_googledrive_square'  => 'Googledrive Square' ),
		array('social_flickr_square'  => 'Flickr Square' ),
		array('social_blogger_square'  => 'Blogger Square' ),
		array('social_spotify_square'  => 'Spotify Square' ),
		array('social_delicious_square'  => 'Delicious Square' ),
		array('icon_printer'  => 'Printer' ),
		array('icon_calulator'  => 'Calulator' ),
		array('icon_building'  => 'Building' ),
		array('icon_floppy'  => 'Floppy' ),
		array('icon_drive'  => 'Drive' ),
		array('icon_search-2'  => 'Search 2' ),
		array('icon_id'  => 'Id' ),
		array('icon_id-2'  => 'Id 2' ),
		array('icon_puzzle'  => 'Puzzle' ),
		array('icon_like'  => 'Like' ),
		array('icon_dislike'  => 'Dislike' ),
		array('icon_mug'  => 'Mug' ),
		array('icon_currency'  => 'Currency' ),
		array('icon_wallet'  => 'Wallet' ),
		array('icon_pens'  => 'Pens' ),
		array('icon_easel'  => 'Easel' ),
		array('icon_flowchart'  => 'Flowchart' ),
		array('icon_datareport'  => 'Datareport' ),
		array('icon_briefcase'  => 'Briefcase' ),
		array('icon_shield'  => 'Shield' ),
		array('icon_percent'  => 'Percent' ),
		array('icon_globe'  => 'Globe' ),
		array('icon_globe-2'  => 'Globe 2' ),
		array('icon_target'  => 'Target' ),
		array('icon_hourglass'  => 'Hourglass' ),
		array('icon_balance'  => 'Balance' ),
		array('icon_rook'  => 'Rook' ),
		array('icon_printer-alt'  => 'Printer Alt' ),
		array('icon_calculator_alt'  => 'Calculator Alt' ),
		array('icon_building_alt'  => 'Building Alt' ),
		array('icon_floppy_alt'  => 'Floppy Alt' ),
		array('icon_drive_alt'  => 'Drive Alt' ),
		array('icon_search_alt'  => 'Search Alt' ),
		array('icon_id_alt'  => 'Id Alt' ),
		array('icon_id-2_alt'  => 'Id 2 Alt' ),
		array('icon_puzzle_alt'  => 'Puzzle Alt' ),
		array('icon_like_alt'  => 'Like Alt' ),
		array('icon_dislike_alt'  => 'Dislike Alt' ),
		array('icon_mug_alt'  => 'Mug Alt' ),
		array('icon_currency_alt'  => 'Currency Alt' ),
		array('icon_wallet_alt'  => 'Wallet Alt' ),
		array('icon_pens_alt'  => 'Pens Alt' ),
		array('icon_easel_alt'  => 'Easel Alt' ),
		array('icon_flowchart_alt'  => 'Flowchart Alt' ),
		array('icon_datareport_alt'  => 'Datareport Alt' ),
		array('icon_briefcase_alt'  => 'Briefcase Alt' ),
		array('icon_shield_alt'  => 'Shield Alt' ),
		array('icon_percent_alt'  => 'Percent Alt' ),
		array('icon_globe_alt'  => 'Globe Alt' ),
		
	);

	return array_merge( $icons, $elegant );
}

/* Linea Icons */

add_filter( 'vc_iconpicker-type-linea', 'vc_iconpicker_type_linea' );
function vc_iconpicker_type_linea( $icons ){
	$linea = array(
		array( 'icon-basic-accelerator'  => 'Accelerator' ),
		array( 'icon-basic-alarm'  => 'Alarm' ),
		array( 'icon-basic-anchor'  => 'Anchor' ),
		array( 'icon-basic-anticlockwise'  => 'Anticlockwise' ),
		array( 'icon-basic-archive'  => 'Archive' ),
		array( 'icon-basic-archive-full'  => 'Archive Full' ),
		array( 'icon-basic-ban'  => 'Ban' ),
		array( 'icon-basic-battery-charge'  => 'Battery Charge' ),
		array( 'icon-basic-battery-empty'  => 'Battery Empty' ),
		array( 'icon-basic-battery-full'  => 'Battery Full' ),
		array( 'icon-basic-battery-half'  => 'Battery Half' ),
		array( 'icon-basic-bolt'  => 'Bolt' ),
		array( 'icon-basic-book'  => 'Book' ),
		array( 'icon-basic-book-pen'  => 'Book Pen' ),
		array( 'icon-basic-book-pencil'  => 'Book Pencil' ),
		array( 'icon-basic-bookmark'  => 'Bookmark' ),
		array( 'icon-basic-calculator'  => 'Calculator' ),
		array( 'icon-basic-calendar'  => 'Calendar' ),
		array( 'icon-basic-cards-diamonds'  => 'Cards Diamonds' ),
		array( 'icon-basic-cards-hearts'  => 'Cards Hearts' ),
		array( 'icon-basic-case'  => 'Case' ),
		array( 'icon-basic-chronometer'  => 'Chronometer' ),
		array( 'icon-basic-clessidre'  => 'Clessidre' ),
		array( 'icon-basic-clock'  => 'Clock' ),
		array( 'icon-basic-clockwise'  => 'Clockwise' ),
		array( 'icon-basic-cloud'  => 'Cloud' ),
		array( 'icon-basic-clubs'  => 'Clubs' ),
		array( 'icon-basic-compass'  => 'Compass' ),
		array( 'icon-basic-cup'  => 'Cup' ),
		array( 'icon-basic-diamonds'  => 'Diamonds' ),
		array( 'icon-basic-display'  => 'Display' ),
		array( 'icon-basic-download'  => 'Download' ),
		array( 'icon-basic-exclamation'  => 'Exclamation' ),
		array( 'icon-basic-eye'  => 'Eye' ),
		array( 'icon-basic-eye-closed'  => 'Eye Closed' ),
		array( 'icon-basic-female'  => 'Female' ),
		array( 'icon-basic-flag1'  => 'Basic Flag1' ),
		array( 'icon-basic-flag2'  => 'Basic Flag2' ),
		array( 'icon-basic-floppydisk'  => 'Basic Floppydisk' ),
		array( 'icon-basic-folder'  => 'Folder' ),
		array( 'icon-basic-folder-multiple'  => 'Folder Multiple' ),
		array( 'icon-basic-gear'  => 'Gear' ),
		array( 'icon-basic-geolocalize-01'  => 'Geolocalize01' ),
		array( 'icon-basic-geolocalize-05'  => 'Geolocalize05' ),
		array( 'icon-basic-globe'  => 'Globe' ),
		array( 'icon-basic-gunsight'  => 'Gunsight' ),
		array( 'icon-basic-hammer'  => 'Hammer' ),
		array( 'icon-basic-headset'  => 'Headset' ),
		array( 'icon-basic-heart'  => 'Heart' ),
		array( 'icon-basic-heart-broken'  => 'Heart Broken' ),
		array( 'icon-basic-helm'  => 'Helm' ),
		array( 'icon-basic-home'  => 'Home' ),
		array( 'icon-basic-info'  => 'Info' ),
		array( 'icon-basic-ipod'  => 'Ipod' ),
		array( 'icon-basic-joypad'  => 'Joypad' ),
		array( 'icon-basic-key'  => 'Key' ),
		array( 'icon-basic-keyboard'  => 'Keyboard' ),
		array( 'icon-basic-laptop'  => 'Laptop' ),
		array( 'icon-basic-life-buoy'  => 'Life Buoy' ),
		array( 'icon-basic-lightbulb'  => 'Lightbulb' ),
		array( 'icon-basic-link'  => 'Link' ),
		array( 'icon-basic-lock'  => 'lock' ),
		array( 'icon-basic-lock-open'  => 'Lock Open' ),
		array( 'icon-basic-magic-mouse'  => 'Magic Mouse' ),
		array( 'icon-basic-magnifier'  => 'Magnifier' ),
		array( 'icon-basic-magnifier-minus'  => 'Magnifier Minus' ),
		array( 'icon-basic-magnifier-plus'  => 'Magnifier Plus' ),
		array( 'icon-basic-mail'  => 'Mail' ),
		array( 'icon-basic-mail-multiple'  => 'Mail Multiple' ),
		array( 'icon-basic-mail-open'  => 'Mail Open' ),
		array( 'icon-basic-mail-open-text'  => 'Mail Open Text' ),
		array( 'icon-basic-male'  => 'Male' ),
		array( 'icon-basic-map'  => 'Map' ),
		array( 'icon-basic-message'  => 'Message' ),
		array( 'icon-basic-message-multiple'  => 'Message Multiple' ),
		array( 'icon-basic-message-txt'  => 'Message Txt' ),
		array( 'icon-basic-mixer2'  => 'Mixer2' ),
		array( 'icon-basic-mouse'  => 'Mouse' ),
		array( 'icon-basic-notebook'  => 'Notebook' ),
		array( 'icon-basic-notebook-pen'  => 'Notebook Pen' ),
		array( 'icon-basic-notebook-pencil'  => 'Notebook Pencil' ),
		array( 'icon-basic-paperplane'  => 'Paperplane' ),
		array( 'icon-basic-pencil-ruler'  => 'Pencil Ruler' ),
		array( 'icon-basic-pencil-ruler-pen'  => 'Pencil Ruler Pen' ),
		array( 'icon-basic-photo'  => 'Photo' ),
		array( 'icon-basic-picture'  => 'Picture' ),
		array( 'icon-basic-picture-multiple'  => 'Picture Multiple' ),
		array( 'icon-basic-pin1'  => 'Pin1' ),
		array( 'icon-basic-pin2'  => 'Pin2' ),
		array( 'icon-basic-postcard'  => 'Postcard' ),
		array( 'icon-basic-postcard-multiple'  => 'Postcard Multiple' ),
		array( 'icon-basic-printer'  => 'Printer' ),
		array( 'icon-basic-question'  => 'Question' ),
		array( 'icon-basic-rss'  => 'Rss' ),
		array( 'icon-basic-server'  => 'Server' ),
		array( 'icon-basic-server2'  => 'Server2' ),
		array( 'icon-basic-server-cloud'  => 'Server Cloud' ),
		array( 'icon-basic-server-download'  => 'Server Download' ),
		array( 'icon-basic-server-upload'  => 'Server Upload' ),
		array( 'icon-basic-settings'  => 'Settings' ),
		array( 'icon-basic-share'  => 'Share' ),
		array( 'icon-basic-sheet'  => 'Sheet' ),
		array( 'icon-basic-sheet-multiple'  => 'Sheet Multiple' ),
		array( 'icon-basic-sheet-pen'  => 'Sheet Pen' ),
		array( 'icon-basic-sheet-pencil'  => 'Sheet Pencil' ),
		array( 'icon-basic-sheet-txt'  => 'Sheet Txt' ),
		array( 'icon-basic-signs'  => 'Signs' ),
		array( 'icon-basic-smartphone'  => 'Smartphone' ),
		array( 'icon-basic-spades'  => 'Spades' ),
		array( 'icon-basic-spread'  => 'Spread' ),
		array( 'icon-basic-spread-bookmark'  => 'Spread Bookmark' ),
		array( 'icon-basic-spread-text'  => 'Spread Text' ),
		array( 'icon-basic-spread-text-bookmark'  => 'Spread Text Bookmark' ),
		array( 'icon-basic-star'  => 'Star' ),
		array( 'icon-basic-tablet'  => 'Tablet' ),
		array( 'icon-basic-target'  => 'Target' ),
		array( 'icon-basic-todo'  => 'Todo' ),
		array( 'icon-basic-todo-pen'  => 'Todo Pen' ),
		array( 'icon-basic-todo-pencil'  => 'Todo Pencil' ),
		array( 'icon-basic-todo-txt'  => 'Todo Txt' ),
		array( 'icon-basic-todolist-pen'  => 'Todolist Pen' ),
		array( 'icon-basic-todolist-pencil'  => 'Todolist Pencil' ),
		array( 'icon-basic-trashcan'  => 'Trashcan' ),
		array( 'icon-basic-trashcan-full'  => 'Trashcan Full' ),
		array( 'icon-basic-trashcan-refresh'  => 'Trashcan Refresh' ),
		array( 'icon-basic-trashcan-remove'  => 'Trashcan Remove' ),
		array( 'icon-basic-upload'  => 'Upload' ),
		array( 'icon-basic-usb'  => 'Usb' ),
		array( 'icon-basic-video'  => 'Video' ),
		array( 'icon-basic-watch'  => 'Watch' ),
		array( 'icon-basic-webpage'  => 'Webpage' ),
		array( 'icon-basic-webpage-img-txt'  => 'Webpage Img Txt' ),
		array( 'icon-basic-webpage-multiple'  => 'Webpage Multiple' ),
		array( 'icon-basic-webpage-txt'  => 'Webpage Txt' ),
		array( 'icon-basic-world'  => 'World' ),
		
	);

	return array_merge( $icons, $linea );
}


function klb_icon_element_fonts_enqueue( $font ) {
  switch ( $font ) {
    case 'elegant':
    wp_enqueue_style( 'minione-elegant-style' );
	break;
    case 'linea':
    wp_enqueue_style( 'minione-linea-styles' );
  }
}
add_action('vc_enqueue_font_icon_element','klb_icon_element_fonts_enqueue');