<?php
/**
 * footer.php
 * @package WordPress
 * @subpackage Minione
 * @since Minione 1.0
 * 
 */
 ?>
       <footer class="pFooter">
            <div class="container-fluid">
                <div class="col-md-6 col-sm-12 col-xs-12 fCopy">
                   <?php  $allowed_html = array(
					'a' => array(
						'href' => array(),
						'title' => array(),
						'class' => array(),
					), );	?>
					<?php echo  wp_kses(ot_get_option( 'minione_copyright' ),$allowed_html); ?>
                </div>

				<?php 
				$socialslist = ot_get_option( 'minione_socialicons' );				
				 if ($socialslist) { ?>
                <div class="col-md-6 col-sm-12 col-xs-12 fIcons">
					   <?php foreach($socialslist as $key => $value) {
						  if ($value['minione_socialicon']) { 
						   echo '<a href="'.esc_url($value['minione_sociallink']).'" target="_blank"><span aria-hidden="true" class="social_'.esc_attr($value['minione_socialicon']).'_circle"></span></a>';
						  } else {
							}
						} ?>			
                </div>
			   <?php } ?>	 
            </div>
        </footer>

  <?php wp_footer(); ?> 
  
<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
