<?php
/**
 * index.php
 * @package WordPress
 * @subpackage Minione
 * @since Minione 1.0
 * 
 */
 ?>

<?php get_header(); ?>  
	
<section id="template-klb-blog" data-section="blog">
	<div class="container">
		<div class="row">
			<div class="section-heading">
			
				<?php if( get_option_tree( 'layout_set' ) == 'left-sidebar') { ?>
							
						<div class="col-md-3 klbcol">
							
						  <?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
							<div class="sidebar">								
							  <?php dynamic_sidebar( 'blog-sidebar' ); ?>
							</div>							   
						  <?php } ?>
							
						</div>
						<div class="col-md-9 klbcol">
						  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>	
						  
							   <?php  get_template_part( 'post-format/content', get_post_format() ); ?>
						   
						  <?php endwhile;
						  
							  get_template_part( 'post-format/pagination' ); 
		
							  else : ?>

							  <h2><?php esc_html_e('No Posts Found', 'minione') ?></h2>
						
						 <?php endif; ?>

						</div>

				<?php } elseif( get_option_tree( 'layout_set' ) == 'full-width') { ?>
						<div class="col-md-12 klbcol">
						  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>	
						  
							   <?php  get_template_part( 'post-format/content', get_post_format() ); ?>
						   
						  <?php endwhile;
						  
							  get_template_part( 'post-format/pagination' ); 
		
							  else : ?>

							  <h2><?php esc_html_e('No Posts Found', 'minione') ?></h2>
						
						<?php endif; ?>

						</div>
				
				<?php } else { ?>
						<?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
									<div class="col-md-9 klbcol">
									  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>	
									  
										   <?php  get_template_part( 'post-format/content', get_post_format() ); ?>
									   
									  <?php endwhile;
									  
										  get_template_part( 'post-format/pagination' ); 
					
										  else : ?>

										  <h2><?php esc_html_e('No Posts Found', 'minione') ?></h2>
									
									<?php endif; ?>

									</div>
									<div class="col-md-3 klbcol">
										
									  <?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
										<div class="sidebar">								
										  <?php dynamic_sidebar( 'blog-sidebar' ); ?>
										</div>							   
									  <?php } ?>
										
									</div>
						<?php } else { ?>
									<div class="col-md-8 col-md-offset-2 klbcol">
									  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>	
									  
										   <?php  get_template_part( 'post-format/content', get_post_format() ); ?>
									   
									  <?php endwhile;
									  
										  get_template_part( 'post-format/pagination' ); 
					
										  else : ?>

										  <h2><?php esc_html_e('No Posts Found', 'minione') ?></h2>
									
									<?php endif; ?>

									</div>
						<?php } ?>
				<?php } ?>
			</div>
		</div>
	</div>
</section>
	
<?php get_footer(); ?>   
