<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="blogitems">
		<div class="blog-content">
			<a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
			<ul class="blog-socials">
				<li><a href="<?php the_permalink(); ?>"><i class="icon_calendar"></i><span><?php echo esc_html(get_the_date()); ?></span></a></li>
				<?php if ( has_tag() ) { ?>
				<li><?php the_tags( '<i class="icon_tags_alt"></i></i>', ', ', ' '); ?></li>
				 <?php } ?>
				<?php if ( has_category() ) { ?>
				<li><i class="icon_folder-open_alt"></i><span><?php the_category(', '); ?></span></li>
				 <?php } ?>
				<?php if ( is_sticky()) {
					printf( '<li class="sticky klb"><i class="fa fa-exclamation"></i>%s</li>', esc_html__( 'Featured', 'minione' ) );
				} ?>
			</ul>
			<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) { ?>  
				<div class="blog-img">
			       <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('minione-post-image'); ?></a>
				</div>
			<?php } ?>
			<?php the_excerpt(); ?>
			<?php wp_link_pages(array('before' => 'Pages: ', 'next_or_number' => 'number')); ?>
		</div>
	</div>
</article>
